[
  {
    "description": "",
    "elements": [
      {
        "description": "",
        "id": "configuración-de-metadata-&-description;usuario-se-loguea-exitosamente,-ajusta-los-parametros-del-metadata-y-luego-hace-logout",
        "keyword": "Scenario",
        "line": 4,
        "name": "Usuario se loguea exitosamente, ajusta los parametros del metadata y luego hace logout",
        "steps": [
          {
            "keyword": "Before",
            "hidden": true,
            "result": {
              "status": "passed",
              "duration": 13589000000
            }
          },
          {
            "arguments": [],
            "keyword": "Given ",
            "line": 5,
            "name": "I navigate to page \"http://localhost:2368/ghost/#/signin\"",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/web.js:41"
            },
            "result": {
              "status": "passed",
              "duration": 2980000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 6156 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "When ",
            "line": 6,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 4648000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 45680 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 7,
            "name": "I enter \"<ADMIN_EMAIL>\" into element \"#identification\"",
            "match": {
              "location": "features/web/step_definitions/step.js:8"
            },
            "result": {
              "status": "passed",
              "duration": 1542000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 47872 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 8,
            "name": "I enter \"<ADMIN_PASSWORD>\" into element \"#password\"",
            "match": {
              "location": "features/web/step_definitions/step.js:8"
            },
            "result": {
              "status": "passed",
              "duration": 927000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 47940 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 9,
            "name": "I click element \"button[type='submit']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 1022000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 47552 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "When ",
            "line": 10,
            "name": "I wait for 5 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 4490000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 90996 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "Then ",
            "line": 11,
            "name": "I should be on the \"http://localhost:2368/ghost/#/dashboard\" page",
            "match": {
              "location": "features/web/step_definitions/step.js:38"
            },
            "result": {
              "status": "passed",
              "duration": 692000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 90964 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 12,
            "name": "I wait for 5 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 7754000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 91660 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "When ",
            "line": 14,
            "name": "I navigate to page \"http://localhost:2368/ghost/#/settings/metadata\"",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/web.js:41"
            },
            "result": {
              "status": "passed",
              "duration": 700000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 15768 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 15,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 5559000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 95188 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 16,
            "name": "I click element \"//div[@data-testid='metadata']//button[normalize-space()='Edit']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 3081000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 91308 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 17,
            "name": "I wait for 5 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 9178000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 91336 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 18,
            "name": "I enter random text into element \"div[data-testid='metadata'] input[type='text']:first-of-type\"",
            "match": {
              "location": "features/web/step_definitions/step.js:53"
            },
            "result": {
              "status": "passed",
              "duration": 2446000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 90548 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 19,
            "name": "I click element \"//div[@data-testid='metadata']//button[normalize-space()='Save']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 3090000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 94116 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 20,
            "name": "I wait for 5 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 7690000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 93512 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "Then ",
            "line": 21,
            "name": "I should see in parent element \"//div[@data-testid='metadata']\" an element with text",
            "match": {
              "location": "features/web/step_definitions/step.js:61"
            },
            "result": {
              "status": "passed",
              "duration": 1674000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 93512 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 25,
            "name": "I wait for 2 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 3101000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 93512 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 26,
            "name": "I click element \"//div[@data-testid='metadata']//button[normalize-space()='Edit']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 2320000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 90536 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 27,
            "name": "I wait for 5 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 6956000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 90536 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 28,
            "name": "I enter random text into element \"div[data-testid='metadata'] .flex.flex-col:nth-of-type(2) input[type='text']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:53"
            },
            "result": {
              "status": "passed",
              "duration": 2344000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 89152 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 29,
            "name": "I click element \"//div[@data-testid='metadata']//button[normalize-space()='Save']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": -21000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 92388 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 30,
            "name": "I wait for 5 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 7921000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 91776 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "Then ",
            "line": 31,
            "name": "I should see in parent element \"//div[@data-testid='metadata']\" an element with text",
            "match": {
              "location": "features/web/step_definitions/step.js:61"
            },
            "result": {
              "status": "passed",
              "duration": 2152000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 91776 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 33,
            "name": "I wait for 5 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 8387000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 91776 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 34,
            "name": "I click element \"//*[@data-testid='exit-settings']\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 986000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 90168 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 35,
            "name": "I wait for 5 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 7705000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 91008 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "When ",
            "line": 37,
            "name": "I click element \".gh-user-avatar\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 2252000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 105136 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 38,
            "name": "I click element \".user-menu-signout\"",
            "match": {
              "location": "features/web/step_definitions/step.js:13"
            },
            "result": {
              "status": "passed",
              "duration": 1378000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 15608 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "And ",
            "line": 39,
            "name": "I wait for 5 seconds",
            "match": {
              "location": "../../node_modules/kraken-node/lib/steps/both.js:73"
            },
            "result": {
              "status": "passed",
              "duration": 3396000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 45680 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "arguments": [],
            "keyword": "Then ",
            "line": 40,
            "name": "I should be on the \"http://localhost:2368/ghost/#/signin\" page",
            "match": {
              "location": "features/web/step_definitions/step.js:38"
            },
            "result": {
              "status": "passed",
              "duration": 1529000000
            },
            "embeddings": [
              {
                "data": "[encoded data, 45680 characters]",
                "mime_type": "image/png"
              }
            ]
          },
          {
            "keyword": "After",
            "hidden": true,
            "result": {
              "status": "passed",
              "duration": 1506000000
            }
          }
        ],
        "tags": [
          {
            "name": "@user14",
            "line": 3
          },
          {
            "name": "@web",
            "line": 3
          }
        ],
        "type": "scenario"
      }
    ],
    "id": "configuración-de-metadata-&-description",
    "line": 1,
    "keyword": "Feature",
    "name": "Configuración de Metadata & Description",
    "tags": [],
    "uri": "features/06-metadata_admin.feature"
  }
]